return Def.ActorFrame{
	Def.ActorFrame{
		Name="Triangle";
		InitCommand=cmd(x,-166);

		Def.ActorFrame{
			InitCommand=cmd(wag;effectmagnitude,0,0,6.25;effectperiod,2);
			LoadActor(THEME:GetPathG("_triangle","base"))..{
				Name="InnermostTriangle";
				InitCommand=cmd(align,0,0.5;x,-4;diffusealpha,0.4;zoom,0.41667);
				OnCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,0.5");effectcolor2,color("1,1,1,0.3125");effectclock,'beat';);
			};
		};

		LoadActor(THEME:GetPathG("_triangle","base"))..{
			Name="InnerBase";
			InitCommand=cmd(x,2;diffusealpha,0.2;zoom,0.625);
			OnCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,0.25");effectcolor2,color("1,1,1,0.75");effectclock,'beat';);
		};
		LoadActor(THEME:GetPathG("_triangle","glow"))..{
			Name="InnerGlow";
			InitCommand=cmd(x,2;diffusealpha,0.2;zoom,0.625;blend,Blend.Add);
			OnCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,0.25");effectcolor2,color("1,1,1,0.75");effectclock,'beat';);
		};

		LoadActor(THEME:GetPathG("_triangle","base"))..{
			Name="Base";
			InitCommand=cmd(diffusealpha,0.8;blend,Blend.Multiply);
		};
		LoadActor(THEME:GetPathG("_triangle","glow"))..{
			Name="Glow";
			InitCommand=cmd(blend,Blend.Add);
			OnCommand=cmd(diffuseshift;effectcolor1,color("1,1,1,1");effectcolor2,color("1,1,1,0.15");effectperiod,0.75);
		};
	};
};